<?PHP
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| SIMPLE DB MANAGER
+----------------------------------------------------+
| Copyright  2005 Nichelini Giuseppe	
| http://www.nichelini.it/
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

require_once INFUSIONS."db_panel/include/functions.php";
echo "<link rel='stylesheet' href='".INFUSIONS."db_panel/css/style.css' type='text/css'>";

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
if (file_exists(INFUSIONS."db_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."db_panel/locale/".$settings['locale'].".php";
} else { include INFUSIONS."db_panel/locale/English.php"; }

if (!isset($op)) { $op = "ListTables"; }
if (isset($_POST["GetTableName"])) { $tablename = $_POST["GetTableName"]; }
if (isset($_POST["GetIt"])) { $op = "GetRecord"; }
if (isset($_POST["DelIt"])) { $op = "DelRecord"; }
if (isset($_POST["InsIt"])) { $op = "NewRecord"; }

switch($op) {
	case "DelRecord": 		    $maintitle .= $locale['db124']; break;
	case "NewRecord": 		    $maintitle .= $locale['db128']; break;
	case "PutRecord": 		    $maintitle .= $locale['db123']; break;
	case "GetRecord": 		    $maintitle .= $locale['db122']; break;
	case "ListRecords": 		$maintitle .= $locale['db121']; break;
	case "ListTables": 			$maintitle .= $locale['db120']; break;
	case "About": 				$maintitle .= $locale['db119']; break;
	default:					$maintitle .= $locale['db120']; break;
}

if (iMEMBER){
	opentable($locale['db100']." - ".$locale['db101']);
	dbm_toolbar($maintitle);
	echo "<TABLE width='100%' cellspacing='0' cellpadding='0' border='0'>\n";
	echo "<TR><TD>";
	switch($op) {
		case "DelRecord":			tablebreak(); DelRecord($tablename); break;
		case "NewRecord":			tablebreak(); NewRecord($tablename); break;
		case "PutRecord":			tablebreak(); PutRecord($tablename); break;
		case "GetRecord":			tablebreak(); GetRecord($tablename); break;
		case "ListRecords":			tablebreak(); ListRecords($tablename); break;
		case "ListTables":			tablebreak(); ListTables($db_name); break;
		case "About": 				tablebreak(); About(); break;
		default: tablebreak(); ListTables($db_name); break;
	}
	echo "</TD></TR></TABLE>\n";
	closetable();
} else {
	opentable($locale['db100']." - ".$locale['db101']);
	echo "<br><p align=center><b>".$locale['db209']."</b><br>";
	closetable();
}
require_once BASEDIR."footer.php";
?>